/* 
 * This file part of gsopcast - A gtk front-end of p2p tv sopcast.
 * http://lianwei3.googlepages.com/home2
 * Copyright (C) 2006 Wei Lian <lianwei3@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef HEADER_H
#define HEADER_H
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <gtk/gtk.h>
#include <dirent.h>
#include <ctype.h>
#include <fcntl.h>
#include <stdio.h>
#include <netinet/in.h>
#include <netdb.h>
#include <stdlib.h>
#include <signal.h>
#include <string>
#include <string.h>
#include <unistd.h>
#include <termios.h>
#include <pthread.h>
#include <errno.h>
#include <regex.h>
#include <locale.h>

enum {
    NUM_COLUMN,
    CARD_COLUMN,
    NAME_COLUMN,
    STATUS_COLUMN,
    STREAM_COLUMN,
    KBPS_COLUMN,
    USER_COLUMN,
    VISIT_COLUMN,
    QS_COLUMN,
    QC_COLUMN,
    START_COLUMN,
    URL_COLUMN,
    DESCRIPTION_COLUMN,
    N_COLUMNS
};

typedef struct {
    GIOChannel *channel;
    guint tag;
} Channel;

struct MemoryStruct {
    char *memory;
    size_t size;
};

#endif
