#ifndef SOUND_H
#define SOUND_H

#ifdef HAVE_CONFIG_H
    #include <config.h>
#endif

#ifdef HAVE_ALSA
    #include <alsa/asoundlib.h>
#else
    #include <sys/soundcard.h>
    #include <sys/ioctl.h>
    #include <fcntl.h>
#endif


gboolean sound_timer (void *);

class Sound
{
 public:
   Sound ();
   ~Sound ();
   int volume ();
   void volume (int);
 private:

#ifdef HAVE_ALSA
     snd_mixer_t * mixer;
   snd_mixer_elem_t *pcm_element;
#else
   int sound_handle;
#endif

};

#endif
